#!/bin/bash
#

# Set up ILC cluster NFS mount points

[ -d /home    ] || mkdir /home
[ -d /home2   ] || mkdir /home2

[ -d /fnal/ups ] || mkdir -p /fnal/ups

[ -d /scratch        ] || mkdir /scratch
[ -d /prj            ] || mkdir /prj


# edit fstab
if [ `grep ilcsrv1.fnal.gov:/home /etc/fstab | wc -l` -eq 0 ]
then
  echo 'ilcsrv1.fnal.gov:/home  /home  nfs timeo=600,retrans=8,hard,intr,tcp,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'ilcsrv1.fnal.gov:/home2 /home2 nfs timeo=600,retrans=8,hard,intr,tcp,rsize=8192,wsize=8192' >> /etc/fstab
fi

if [ `grep ilcsrv1.fnal.gov:/fnal/ups /etc/fstab | wc -l` -eq 0 ]
then
  echo 'ilcsrv1.fnal.gov:/fnal/ups /fnal/ups nfs timeo=600,retrans=8,hard,intr,tcp,rsize=8192,wsize=8192' >> /etc/fstab
fi

if [ `grep ilcsrv1.fnal.gov:/scratch/btev01 /etc/fstab | wc -l` -eq 0 ]
then
  echo 'ilcsrv1.fnal.gov:/scratch/btev01  /scratch nfs timeo=600,retrans=8,hard,intr,tcp,rsize=8192,wsize=8192' >> /etc/fstab
fi

if [ `grep ilcsrv1.fnal.gov:/prj /etc/fstab | wc -l` -eq 0 ]
then
  echo 'ilcsrv1.fnal.gov:/prj  /prj nfs timeo=600,retrans=8,hard,intr,tcp,rsize=8192,wsize=8192' >> /etc/fstab
fi

if [ `grep stkensrv1:/btev /etc/fstab | wc -l` -eq 0 ]
then
  echo 'stkensrv1:/btev   /pnfs/btev      nfs sync,rsize=4096,wsize=4096,user,intr,bg,hard,rw,noac 0 0' >> /etc/fstab
fi

if [ `grep blue1.fnal.gov:/ilc /etc/fstab | wc -l` -eq 0 ]
then
  echo 'blue1.fnal.gov:/ilc  /ilc  nfs rsize=32768,wsize=32768,timeo=600,proto=tcp,vers=3,hard,intr,bg 0 0' >> /etc/fstab
fi

if [ `grep blue2.fnal.gov:/grid/app /etc/fstab | wc -l` -eq 0 ]
then
  echo 'blue2.fnal.gov:/grid/app  /grid/app  nfs rsize=32768,wsize=32768,timeo=600,proto=tcp,vers=3,hard,intr,bg 0 0' >> /etc/fstab
fi

if [ `grep blue2.fnal.gov:/grid/data /etc/fstab | wc -l` -eq 0 ]
then
  echo 'blue2.fnal.gov:/grid/data  /grid/data  nfs rsize=32768,wsize=32768,timeo=600,proto=tcp,vers=3,hard,intr,bg 0 0' >> /etc/fstab
fi

# make sure shells are present
[ -d /usr/local/bin ] || mkdir /usr/local/bin
[ -L /usr/local/bin/bash ] || ln -s /bin/bash /usr/local/bin/bash
[ -L /usr/local/bin/tcsh ] || ln -s /bin/tcsh /usr/local/bin/tcsh

if [ `grep /usr/local/bin/bash /etc/shells | wc -l` -eq 0 ]
then
  echo '/usr/local/bin/bash' >> /etc/shells
  echo '/usr/local/bin/tcsh' >> /etc/shells
fi

# create .k5login for root
if [ ! -f "/root/.k5login" ]
then
    echo "garren@FNAL.GOV" > /root/.k5login
    echo "mgreaney@FNAL.GOV" >> /root/.k5login
    echo "bens@FNAL.GOV" >> /root/.k5login
    echo "baisley@FNAL.GOV" >> /root/.k5login
    echo "csieh@FNAL.GOV" >> /root/.k5login
    echo "dawson@FNAL.GOV" >> /root/.k5login
fi

# establish ups
mount /fnal/ups
if [ -f "/fnal/ups/etc/setups.sh" ]
then
  . "/fnal/ups/etc/setups.sh"
  # start ups at boot time
  if [ ! -f /etc/rc.d/init.d/ups ]
  then
     cp $UPS_DIR/init.d/ups /etc/rc.d/init.d/ups
     /etc/rc.d/init.d/ups config
  fi
fi

#  send mail to fnsimu-admin
if [ `grep root: /etc/aliases | grep -v \# | wc -l` -eq 0 ]
then
  echo 'root: fnsimu-admin@fnal.gov' >> /etc/aliases
  /usr/bin/newaliases
fi
